# -*- coding: utf-8 -*-
import pymel.core as pm
from mtoa.ui.ae.shaderTemplate import ShaderAETemplate

class AEaiVolumeSampleFloatTemplate(ShaderAETemplate):
    def setup(self):
        self.beginScrollLayout()
        
        self.beginLayout('体积采样浮点属性', collapse=False)
        self.addControl('channel', label='通道')
        self.addControl('positionOffset', label='位置偏移')
        self.addControl('interpolation', label='插值')
        self.addControl('volumeType', label='体积类型')
        self.endLayout()

        self.beginLayout('标签距离函数', collapse=False)
        self.addControl('sdfOffset', label='抵消')
        self.addControl('sdfBlend', label='混合')
        self.addControl('sdfInvert', label='倒置')
        self.endLayout()

        
        self.beginLayout('重映属性', collapse=False)
        self.addControl('inputMin', label='最小输入')
        self.addControl('inputMax', label='最大输入')
        self.addControl('contrast', label='对比')
        self.addControl('contrastPivot', label='透视对比')
        self.addControl('bias', label='偏差')
        self.addControl('gain', label='增加')
        self.addControl('outputMin', label='最小输出')
        self.addControl('outputMax', label='最大输出')
        self.addControl('clampMin', label='最小钳')
        self.addControl('clampMax', label='最大钳')
        self.endLayout()
        
        pm.mel.AEdependNodeTemplate(self.nodeName)
        
        self.addExtraControls()
        self.endScrollLayout()

